Skip to content
SupportLogin
List response input items

List response input items

GET/api/v1/responses/{response_id}/input_items

Lists the materialized input items used to generate a stored response.

Path ParametersExpand Collapse
response_id: string
Query ParametersExpand Collapse
order: optional "asc" or "desc"

Sort input items in conversation or reverse order.

One of the following:
"asc"
"desc"
limit: optional number

Maximum number of input items to return.

minimum1
maximum100
after: optional string

Return items after this input-item ID in the requested order.

Header ParametersExpand Collapse
"X-Organization-Id": optional string
ReturnsExpand Collapse
object: "list"
data: array of map[unknown]
first_id: string
last_id: string
has_more: boolean

List response input items

curl https://api.prod.adaptionlabs.ai/api/v1/responses/$RESPONSE_ID/input_items \
    -H "Authorization: Bearer $ADAPTION_API_KEY"
{
  "object": "list",
  "data": [
    {
      "foo": "bar"
    }
  ],
  "first_id": "first_id",
  "last_id": "last_id",
  "has_more": true
}
Returns Examples
{
  "object": "list",
  "data": [
    {
      "foo": "bar"
    }
  ],
  "first_id": "first_id",
  "last_id": "last_id",
  "has_more": true
}